Interface customization "Save to file" don't save

2018-01-26 09:48 PM - Thomas Gratier

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu 16.04 64 bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25875

Description

When I do "Settings" > "Interface customization", I tick "Enable customization".

Then, I untick some boxes to remove some layers types in the "mAddLayerMenu".

I've restarted QGIS to see these changes effects.

So, everything is fine until this step (see attachment "Interface Customization").

Then, I click on "Save to file", choose a directory to save, a file name ending with .ini and then I do "Save" (See "Choose a customization

INI" attachment)

I expect to find a file in /home/thomasg/www/ named qwerty.ini and it's nowhere.

Can you reproduce? If yes, from my viewpoint, it's a regression compared to 2.18.x series.

PS: I'm using QGIS 2.99 using UbuntuGIS packages with QGIS nightly repository.

Associated revisions

Revision 9a020ea7 - 2018-01-29 02:47 AM - Mathieu Pellerin - nIRV

fix saving interface customization to .ini (fixes #17979)

History

#1 - 2018-01-29 02:47 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9a020ea792758bfd7e5e7c07c76010f2fa502e7d.

#2 - 2018-02-21 09:30 PM - Giovanni Manghi

- Resolution set to fixed/implemented
